import { CallExpression, ObjectLiteralElementLike } from 'typescript';
import { ImportCollection } from '../imports';
export declare enum ActionType {
    CREATE = "create",
    UPDATE = "update",
    DELETE = "delete",
    LIST = "list",
    GET = "get"
}
export declare const getGraphqlQueryForModel: (action: ActionType, model: string) => string;
/**
 * Returns a GraphQL call expression and adds to importCollection.
 *
 * @example
 * ```
 * API.graphql({
 *  query: createTodo,
 *  variables: {
 *    input: {
 *      inputs
 *    },
 *  },
 * });
 * ```
 */
export declare const getGraphqlCallExpression: (action: ActionType, model: string, importCollection: ImportCollection, inputs?: ObjectLiteralElementLike[] | undefined, filters?: ObjectLiteralElementLike[] | undefined) => CallExpression;
